---
title: System information endpoints
description: Endpoints for retrieving system-level information about the InfluxDB Cloud instance.
url: https://docs.influxdata.com/influxdb/cloud/api/system-information-endpoints/
estimated_tokens: 757
product: InfluxDB Cloud (TSM)
version: cloud
publisher: InfluxData
canonical: https://docs.influxdata.com/influxdb/cloud/api/system-information-endpoints/
---

[Download InfluxDB Cloud (TSM) API Spec](/openapi/influxdb-cloud-v2-api.yml)

Endpoints for retrieving system-level information about the InfluxDB Cloud instance.

GET`/api/v2/resources`

### List all known resources

#### Parameters

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2/resources" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

200All resources targets

defaultInternal server error

`code`requiredstring

code is the machine-readable error code.

Allowed:`internal error`, `not implemented`, `not found`, `conflict`, `invalid`, `unprocessable entity`, `empty value`, `unavailable`, `forbidden`, `too many requests`, `unauthorized`, `method not allowed`, `request too large`, `unsupported media type`

`err`string

Stack of errors that occurred during processing of the request. Useful for debugging.

`message`string

Human-readable message.

`op`string

Describes the logical code operation when the error occurred. Useful for debugging.

GET`/api/v2`

### List all top level routes

Retrieves all the top level routes for the InfluxDB API.

#### Limitations

* Only returns top level routes–for example, the response contains`"tasks":"/api/v2/tasks"`, and doesn’t contain resource-specific routes
  for tasks (`/api/v2/tasks/TASK_ID/...`).

#### Parameters

##### Header parameters

`Zap-Trace-Span`string

OpenTracing span context

Example request[Ask AI about this](#)

```sh
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/api/v2" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

200Success.
The response body contains key-value pairs with the resource name and
top-level route.

`authorizations`string \<uri\>

`buckets`string \<uri\>

`dashboards`string \<uri\>

`external`object

`statusFeed`string \<uri\>

`flags`string \<uri\>

`me`string \<uri\>

`orgs`string \<uri\>

`query`object

`analyze`string \<uri\>

`ast`string \<uri\>

`self`string \<uri\>

`suggestions`string \<uri\>

`setup`string \<uri\>

`signin`string \<uri\>

`signout`string \<uri\>

`sources`string \<uri\>

`system`object

`debug`string \<uri\>

`health`string \<uri\>

`metrics`string \<uri\>

`tasks`string \<uri\>

`telegrafs`string \<uri\>

`users`string \<uri\>

`variables`string \<uri\>

`write`string \<uri\>

GET`/ping`

### Get the status of the instance

Retrieves the status and InfluxDB version of the instance.

Use this endpoint to monitor uptime for the InfluxDB instance. The response
returns a HTTP `204` status code to inform you the instance is available.

#### Related guides

* [Influx ping](/influxdb/cloud/reference/cli/influx/ping/)

Example request[Ask AI about this](#)

```sh
curl --request GET \
  "https://us-east-1-1.aws.cloud2.influxdata.com/ping" \
  --header "Authorization: Bearer INFLUX_TOKEN"
```

#### Responses

204Success.
Headers contain InfluxDB version information.
